package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.MemberUnionidRelatedDTO;

public interface MemberUnionRelatedService {
	
	String addMemberUnionidRelated(MemberUnionidRelatedDTO dto);
	
	void delMemberUnionidRelated(MemberUnionidRelatedDTO dto , String staffId);

	/**
	 * 删除外部联系人关系
	 *
	 * @param wxEnterpriseId
	 * @param wxUserId
	 * @param externalUserids
	 */
	void delMemberUnionidRelatedBatch(String wxEnterpriseId, String staffId, List<String> externalUserids);

	void cleanStaffRelated(String wxEnterpriseId, List<String> staffIds);

	/**
	 * 根据应用内的外部联系人id 获取信息
	 *
	 * @param wxUserId
	 * @param wxEnterpriseId
	 * @param selfExternalUserId
	 * @return
	 */
	MemberUnionidRelatedDTO getByWxUserIdAndSelfExternalUserId(String staffId, String wxEnterpriseId, String selfExternalUserId);


	/**
	 * 根据应用内的外部联系人id 获取信息
	 *
	 * @param wxEnterpriseId     wx企业标识
	 * @param selfExternalUserId 自外部的用户id
	 * @return {@link MemberUnionidRelatedDTO }
	 * @author mozhu
	 * @date 2021-12-23 22:35:47
	 */
	MemberUnionidRelatedDTO getBySelfExternalUserId(String wxEnterpriseId, String selfExternalUserId);

}
